package cz.moneta.test.dsl.util.task.cagw;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.task.cagw.api.ApiTasks;
import cz.moneta.test.dsl.util.task.cagw.authorization.AuthorizationTasks;

public class CaGwTasks {

    private final Harness harness;

    public CaGwTasks(Harness harness) {
        this.harness = harness;
    }

    public AuthorizationTasks authorization() {
        return new AuthorizationTasks(harness);
    }

    public ApiTasks api() {
        return new ApiTasks(harness);
    }

}
